const app = getApp();
const componentOptions = {
  // 组件选项
  options: {
    multipleSlots: true
  },
  behaviors: [],
  properties: {},
  // 组件数据
  data: {
    isPageHidden: false, // 页面是否处于隐藏状态
    datas: {
      id: 7,
      componentName: "商品列表",
      componentCode: "goods-list",
      componentType: 1,
      queueNumber: 0,
      componentInfo: {
        visible: 1,
        condition: "",
        drawable: 0
      },
      componentData: {
        goodsList: [
          {
            brandName: "",
            bugRecommendedCardFlag: "false",
            coverImage:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/yWDmitPPmD.jpg?x-oss-process=image/resize,limit_1,w_700",
            defaultTags: ["freeShipping"],
            extensionFieldJson: "",
            goodsMaxPrice: "21.00",
            goodsMinPrice: "21.00",
            groupBuyFlag: "0",
            haveGroupNum: "0",
            maxPrice: "21.00",
            minGoodsId: "99121",
            minGoodsSuggestedRetailPrice: "100.00000",
            minPrice: "21.00",
            minProductGoodsId: "85531",
            minProductGoodsMixid: "daadejqb50l7",
            orgId: "1452",
            orgName: "Air Jordan",
            outerProductCode: "9fuMzUCl",
            oversoldFlag: "1",
            productGoodsMixId: "",
            productId: "21724",
            productImgUrl:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/yWDmitPPmD.jpg?x-oss-process=image/resize,limit_1,w_700",
            productName: "热销 小白心里软",
            productNature: "1",
            productSaleType: "0",
            productSecondName: "",
            qty: "0",
            recommendedCardMinPricePriceTableName: "",
            saleTime: null,
            saleWay: "1",
            shopLogoUrl:
              "/product/png/2d889aca-d9c7-41e3-9e08-76e3de2d50ba.png",
            shopName: "Air Jordan",
            stockSell: "0",
            tagNames: "",
            terminalProductId: "18785",
            totalCollectionCount: "0",
            totalQty: "0",
            totalSalesCount: "0",
            usedRecommendedCardFlag: "false",
            marketingTag: [
              {
                key: "freeShipping",
                label: "免邮"
              }
            ]
          },
          {
            brandName: "",
            bugRecommendedCardFlag: "false",
            coverImage:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/Ebs8TkSirK.png?x-oss-process=image/resize,limit_1,w_700",
            defaultTags: [],
            extensionFieldJson: "",
            goodsMaxPrice: "800.00",
            goodsMinPrice: "200.00",
            groupBuyFlag: "0",
            haveGroupNum: "0",
            maxPrice: "800.00",
            minGoodsId: "99344",
            minGoodsSuggestedRetailPrice: "300.000000",
            minPrice: "200.00",
            minProductGoodsId: "92690",
            minProductGoodsMixid: "emng64ho4rp3",
            orgId: "1452",
            orgName: "Air Jordan",
            outerProductCode: "8vGrYIWZ",
            oversoldFlag: "0",
            productGoodsMixId: "",
            productId: "21904",
            productImgUrl:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/Ebs8TkSirK.png?x-oss-process=image/resize,limit_1,w_700",
            productName: "测试刘==专用商品。。",
            productNature: "1",
            productSaleType: "0",
            productSecondName: "",
            qty: "400",
            recommendedCardMinPricePriceTableName: "",
            saleTime: null,
            saleWay: "1",
            shopLogoUrl:
              "/product/png/2d889aca-d9c7-41e3-9e08-76e3de2d50ba.png",
            shopName: "Air Jordan",
            stockSell: "0",
            tagNames: "",
            terminalProductId: "22287",
            totalCollectionCount: "0",
            totalQty: "100",
            totalSalesCount: "0",
            usedRecommendedCardFlag: "false"
          },
          {
            brandId: "65",
            brandName: "三只松鼠",
            bugRecommendedCardFlag: "false",
            coverImage:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/GSjiWASDh3.jpg?x-oss-process=image/resize,limit_1,w_700",
            defaultTags: [],
            extensionFieldJson: "",
            goodsMaxPrice: "10.00",
            goodsMinPrice: "10.00",
            groupBuyFlag: "0",
            haveGroupNum: "0",
            maxPrice: "10.00",
            minGoodsId: "99537",
            minGoodsSuggestedRetailPrice: "20.000000",
            minPrice: "10.00",
            minProductGoodsId: "92685",
            minProductGoodsMixid: "lbsmteepkra4",
            orgId: "1452",
            orgName: "Air Jordan",
            outerProductCode: "Z91MQdgf",
            oversoldFlag: "1",
            productGoodsMixId: "",
            productId: "22077",
            productImgUrl:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/SCdPMnX6wh.jpg?x-oss-process=image/resize,limit_1,w_700",
            productName: "看图片",
            productNature: "1",
            productSaleType: "0",
            productSecondName: "看图片",
            qty: "0",
            recommendedCardMinPricePriceTableName: "",
            saleTime: null,
            saleWay: "1",
            shopLogoUrl:
              "/product/png/2d889aca-d9c7-41e3-9e08-76e3de2d50ba.png",
            shopName: "Air Jordan",
            stockSell: "0",
            tagNames: "",
            terminalProductId: "22283",
            totalCollectionCount: "0",
            totalQty: "0",
            totalSalesCount: "0",
            usedRecommendedCardFlag: "false"
          },
          {
            brandId: "65",
            brandName: "三只松鼠",
            bugRecommendedCardFlag: "false",
            coverImage:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/hY7GyiXKf2.jpg?x-oss-process=image/resize,limit_1,w_700",
            defaultTags: ["freeShipping"],
            extensionFieldJson: "",
            goodsMaxPrice: "10.00",
            goodsMinPrice: "10.00",
            groupBuyFlag: "0",
            haveGroupNum: "0",
            maxPrice: "10.00",
            minGoodsId: "98888",
            minGoodsSuggestedRetailPrice: "10.000000",
            minPrice: "10.00",
            minProductGoodsId: "85558",
            minProductGoodsMixid: "na27hiltd3aa",
            orgId: "1452",
            orgName: "Air Jordan",
            outerProductCode: "80x7V9Ud",
            oversoldFlag: "1",
            productGoodsMixId: "",
            productId: "21509",
            productImgUrl:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/hY7GyiXKf2.jpg?x-oss-process=image/resize,limit_1,w_700",
            productName: "前端测试留言商品单规格",
            productNature: "1",
            productSaleType: "0",
            productSecondName: "前端测试留言商品单规格",
            qty: "0",
            recommendedCardMinPricePriceTableName: "",
            saleTime: null,
            saleWay: "1",
            shopLogoUrl:
              "/product/png/2d889aca-d9c7-41e3-9e08-76e3de2d50ba.png",
            shopName: "Air Jordan",
            stockSell: "0",
            tagNames: "",
            terminalProductId: "18808",
            totalCollectionCount: "1",
            totalQty: "0",
            totalSalesCount: "0",
            usedRecommendedCardFlag: "false",
            marketingTag: [
              {
                key: "freeShipping",
                label: "免邮"
              }
            ]
          },
          {
            brandName: "",
            bugRecommendedCardFlag: "false",
            coverImage:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/CcxsBCNci5.jpg?x-oss-process=image/resize,limit_1,w_700",
            defaultTags: [],
            extensionFieldJson: "",
            goodsMinPrice: "0.00",
            groupBuyFlag: "0",
            haveGroupNum: "0",
            minGoodsId: "106001",
            minGoodsSuggestedRetailPrice: "11.000000",
            minPrice: "0.00",
            minProductGoodsId: "92646",
            minProductGoodsMixid: "p87o5mt2gnh8",
            orgId: "1452",
            orgName: "Air Jordan",
            outerProductCode: "YCRz5Rti",
            oversoldFlag: "0",
            productGoodsMixId: "",
            productId: "25122",
            productImgUrl:
              "https://test-bucket-ant.oss-cn-shanghai.aliyuncs.com/product/CcxsBCNci5.jpg?x-oss-process=image/resize,limit_1,w_700",
            productName: "组合333",
            productNature: "1",
            productSaleType: "1",
            productSecondName: "",
            qty: "0",
            recommendedCardMinPricePriceTableName: "",
            saleTime: null,
            saleWay: "1",
            shopLogoUrl:
              "/product/png/2d889aca-d9c7-41e3-9e08-76e3de2d50ba.png",
            shopName: "Air Jordan",
            stockSell: "0",
            tagNames: "",
            terminalProductId: "22272",
            totalCollectionCount: "0",
            totalQty: "0",
            totalSalesCount: "0",
            usedRecommendedCardFlag: "false"
          }
        ],
        categoryId: "",
        categoryName: "",
        initProductArr: [],
        titles: "这是标题",
        content:
          "这里是内容 可以编写需要的内容 测试测试测试测试测试测试测试测试测试",
        link: "https://www.baidu.com/",
        fontColor: "#ed6a0c",
        goodsSource: "assign",
        goodsType: 0,
        style: "list",
        imgPadding: 20,
        moreShow: true,
        moreButtonSite: "top",
        rowNum: 2,
        columnNum: 2,
        proGap: 5,
        titleCardGap: 10,
        heapBgColorShow: true,
        heapBgColor: "",
        backgroundColorShow: true,
        backgroundColor: "#fff",
        borderColorShow: true,
        borderColor: "#e0e0e0",
        nameShow: true,
        nameFontSize: 1,
        imgSize: "0%",
        nameColor: "#333333",
        describeShow: true,
        describeFontSize: 1,
        priceShow: true,
        priceFontSize: 0.8,
        priceColor: "#f23030",
        angleShow: false,
        colorLayoutShow: false,
        colorLayoutSite: "top",
        initcharAlign: "left",
        borderRadius: 0.3,
        cardBorderRadius: 0,
        collectShow: true,
        followerShow: true,
        followerColor: "",
        alSaleShow: true,
        followerFontSize: 0.6,
        paynow: true,
        priceMarking: false,
        goodsSort: 0,
        whetherFindDistributionCommission: true,
        commissionColor: "",
        commissionBgColor: "",
        commissionStyle: 0,
        angleSign: true,
        angleSignType: 0,
        angleSignImg:
          "http://mayi-newshop.oss-cn-shanghai.aliyuncs.com/public/png/1f7d246e-966c-4f3e-b09f-264bfa579b02.png",
        angleSignSize: 25,
        marketingTag: true,
        vipPrice: false,
        marketingStyle: 0,
        marketingTagList: [
          {
            key: "recommend",
            label: "推荐"
          },
          {
            key: "special",
            label: "特价"
          },
          {
            key: "freeShipping",
            label: "免邮"
          },
          {
            key: "newGoods",
            label: "新品"
          }
        ],
        btnIcon: "",
        btnType: 6,
        btnColor: "",
        btnTest: "立即购买",
        titleIcon: "/product/ppefWK8BS6.png",
        cardShadow: true,
        cardShadowSize: 1,
        goodsBrand: false,
        merchantsEntrance: true,
        merchantsEntranceType: 0,
        paddingList: [
          {
            name: "上",
            value: 0
          },
          {
            name: "下",
            value: 0
          },
          {
            name: "左",
            value: 0
          },
          {
            name: "右",
            value: 0
          }
        ]
      }
    }
  },
  // 数据监听器
  observers: {},
  // 组件方法
  methods: {
    init() {},
  },
  // 组件生命周期
  lifetimes: {
    created() {},
    attached() {
      this.init();
    },
    ready() {},
    moved() {},
    detached() {}
  },
  definitionFilter() {},
  // 页面生命周期
  pageLifetimes: {
    // 页面被展示
    show() {
      const { isPageHidden } = this.data;

      // show事件发生前，页面不是处于隐藏状态时
      if (!isPageHidden) {
        return;
      }

      // 重新执行定时器等操作
    },
    // 页面被隐藏
    hide() {
      this.setData({
        isPageHidden: true
      });

      // 清除定时器等操作
    },
    // 页面尺寸变化时
    resize() {}
  }
};

Component(componentOptions)
